=== debian/changelog ===
neutron (2:27.0.1-4) unstable; urgency=medium

  * Blacklist unit tests that are stuck in multiprocessing locks
    (Closes: #1124179).
  * Blacklist more tests that are failing in parallel.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Dec 2025 14:10:26 +0100

neutron (2:27.0.1-3) unstable; urgency=medium

  * Removed recommends on openvswitch-datapath-dkms, which was kind of an antic
    thing form older Debian release (Closes: #1102087).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 09:06:13 +0100

neutron (2:27.0.1-2) unstable; urgency=medium

  * Removed dpkg-dev depends from neutron-common (Closes: #1111131).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 12:03:08 +0100

neutron (2:27.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 10:01:10 +0100

neutron (2:27.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:23:21 +0200
