## neutron 28.0.0~b2+git20260121.28.762694d1bd

=== requirements.txt ===
--- 
+++ 
@@ -8,14 +8,13 @@
 Routes>=2.3.1 # MIT
 debtcollector>=1.19.0 # Apache-2.0
 decorator>=4.1.0 # BSD
-eventlet>=0.36.1 # MIT
 pecan>=1.4.0 # BSD
 httplib2>=0.22.0 # MIT
 requests>=2.32.3 # Apache-2.0
 Jinja2>=2.10 # BSD License (3 clause)
 keystonemiddleware>=5.1.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-neutron-lib>=3.21.1 # Apache-2.0
+neutron-lib>=3.23.0 # Apache-2.0
 python-neutronclient>=7.8.0 # Apache-2.0
 tenacity>=6.0.0 # Apache-2.0
 SQLAlchemy>=1.4.23 # MIT
@@ -25,7 +24,7 @@
 stevedore>=2.0.1 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.config>=9.4.0 # Apache-2.0
+oslo.config>=10.2.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.44.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
@@ -42,10 +41,10 @@
 oslo.utils>=7.3.0 # Apache-2.0
 oslo.versionedobjects>=1.35.1 # Apache-2.0
 osprofiler>=2.3.0 # Apache-2.0
-os-ken>=3.0.0 # Apache-2.0
+os-ken>=4.0.0 # Apache-2.0
 os-resource-classes>=1.1.0 # Apache-2.0
 ovs>3.3.0 # Apache-2.0
-ovsdbapp>=2.11.0 # Apache-2.0
+ovsdbapp>=2.14.1 # Apache-2.0
 psutil>=6.1.0 # BSD
 pyroute2>=0.7.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
 pyOpenSSL>=17.1.0 # Apache-2.0
