=== doc/requirements.txt ===
sphinx>=2.2.0 # BSD
sphinx-feature-classification>=1.0.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
WebTest>=2.0.27 # MIT
# NOTE(ralonsoh): pyroute2 module should be installed and the version limited
# according to upper-constraints.txt
pyroute2>=0.6.4;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
