=== debian/changelog ===
neutron (2:28.0.0~b2+git20260121.28.762694d1bd-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 28.0.0.0b2
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * d/patches/*: refresh patches
  * New upstream snapshot from 762694d1bd6092060ce08c29d12575e303ae2973
    for OpenStack Gazpacho. (LP: #2137590)
  * d/neutron-common.install: Fix file paths.
  * d/p/install-missing-files.patch: Extend for all subdirectories.
  * d/neutron-api*: Update neutron endpoint.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 16:04:01 -0800
