=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
Build-Depends-Indep:
 alembic (>= 0.4.1),
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-cliff (>= 1.4),
 python-configobj,
 python-coverage,
 python-d2to1,
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.12),
 python-greenlet (>= 0.3.2),
 python-httplib2,
 python-iso8601,
 python-jinja2,
 python-keystoneclient (>= 1:0.2.0),
 python-kombu (>= 2.5.12),
 python-lxml,
 python-mock (>= 1.0b1),
 python-mox,
 python-netaddr,
 python-neutronclient (>= 1:2.2.3),
 python-novaclient (>= 2.12.0),
 python-oslo.config (>= 1:1.2.0a3),
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.5.21),
 python-pyudev,
 python-requests (>= 1.1),
 python-routes,
 python-setuptools,
 python-simplejson,
 python-six,
 python-sqlalchemy,
 python-stevedore (>= 0.10),
 python-testtools (>= 0.9.32),
 python-webob,
 python-webtest,
 subunit,
 testrepository ( >= 0.0.17)
XS-Python-Version: >= 2.6
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/havana/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/havana
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-server ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-server  ( << 1:2013.2~b2-0ubuntu1~ )
Recommends: neutron-plugin-openvswitch
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends:
 adduser,
 python-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Breaks: quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-plugin-cisco
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Cisco plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Cisco plugin.

Package: neutron-plugin-nec
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 neutron-plugin-nec,
 openvswitch-switch,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin agent.

Package: neutron-plugin-bigswitch
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin.

Package: neutron-plugin-hyperv
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Hyper-V plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Hyper-V plugin.

Package: neutron-plugin-brocade
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Brocade plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Brocade plugin.

Package: neutron-plugin-plumgrid
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - PLUMgrid plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the PLUMgrid plugin.

Package: neutron-plugin-metaplugin
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Metaplugin plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Metaplugin plugin.

Package: neutron-plugin-nicira
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nicira ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nicira ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Nicira plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Nicira NVP plugin

Package: neutron-l3-agent
Architecture: all
Depends:
 iputils-arping,
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-l3-agent ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-l3-agent ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
