=== debian/changelog ===
neutron (1:2013.2.3-0ubuntu1.1~cloud0) precise-havana; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 06 May 2014 04:20:13 -0400

neutron (1:2013.2.3-0ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: no change rebuild for security to fix CVE-2014-0056
    (1faec83a)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 05 May 2014 12:19:54 -0500

neutron (1:2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * Resynchronize with stable/havana (8cb9d89) (LP: #1284643):
    - [8cb9d89] Use a temp dir for CONF.state_path
    - [566321b] Subnets should be set as lazy='join'
    - [eb4c045] Qpid, RabbitMQ: advance thru the list of brokers on reconnect
    - [1faec83] Prevent cross plugging router ports from other tenants
    - [858ec2e] Fixes Hyper-V port metrics enabling after service restart
    - [d57ce79] Adds Hyper-V utils methods
    - [5ccfeae] NSX: Sync do not pass around model object
    - [7f2c41f] NSX: Fix possible deadlock in sync code
    - [7871486] Use a more accurate max_delay for reconnects
    - [8e92741] Adds id in update_floatingip API in PLUMgrid plugin driver
    - [ab46900] Report proper error message in PLUMgrid Plugin
    - [ece27c9] Update help message of flag 'enable_isolated_metadata'
    - [a47fde6] Remove the warning for Scheduling Network
    - [28ee2ac] vshield task manager: abort tasks in stop() on termination
    - [c194262] Fix request timeout errors during calls to NSX controller
    - [2b4cdcd] Fix error while connecting to busy NSX L2 Gateway
    - [5158744] Tweak version nvp/nsx version validation logic for router operations
    - [722746f] [ML2] l2-pop MD handle multi create/delete ports
    - [99339a9] Fix metering iptables driver doesn't read root_helper param
    - [2e9f5a7] Add support for managing async processes
    - [5678fb8] fix --excluded of meter-label-rule-create is not working
    - [c0586c4] Fix a typo in log exception in the metering agent
  * debian/patches/bump-sqlalchemy-versions.patch: Rediffed 
  * debian/patches/revert-stable-havana-requirements.patch: Updated not to 
    bump the version of python-neutronclient.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 31 Mar 2014 11:51:57 -0400

neutron (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (3c9fc6f) (LP: #1284643):
    - [3f4c282] reduce severity of network notfound trace when looked up by
      dhcp agent LP: 1251874
    - [7a4842d] Mellanox Neutron Agent is using keystone port LP: 1245885
    - [aa2502b] check_nvp_config.py erroneous config complaint LP: 1265353
    - [94679f1] uncaught portnotfound exception on get_dhcp_port LP: 1252437
    - [5bbc2f0] devstack-exercises floating_ips broken LP: 1262785
    - [3738343] [neutron bandwidth metering] When I delete a label, router's
      tenant_id disappeared. LP: 1249188
    - [e631e89] dhcp dnsmasq lost port in host config file LP: 1192381
    - [5f959d7] tenant does not see network that is routable from tenant-
      visible network until neutron-server is restarted LP: 1254555
    - [c7596bf] Remove and recreate interface in ovs if already exists
      LP: 1268762
    - [711106a] Multiple Neutron operations using a script fails on Brocade
      Plugin LP: 1223754
    - [927e8a6] Should RPC consume_in_thread() be more fault tolerant?
      LP: 1189711
    - [15a912b] neutron-metadata-agent incorrectly passes keystone token to
      neutronclient LP: 1274487
    - [4265436] Have tox install via setup.py develop
    - [a72ab24] nicira: error occurs when net-gateway-connect with different
      segmentation-type LP: 1270724
    - [3c9fc6f] improve version validation for router operations with the
      nsx/nvp plugin LP: 1274361

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Feb 2014 09:32:04 -0500

neutron (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (c783944) (LP: #1262788):
    - [f45cd4f] Open stable/havana
    - [c783944] [OSSA 2013-033] Metadata queries from Neutron to Nova are not
      restricted by tenant (CVE-2013-6419) LP: 1235450
    - [cec8127] Creates multiple worker processes for API server
    - [3383241] [messaging] QPID broadcast RPC requests to all servers for a
      given topic LP: 1257293
    - [cd3e714] openstack.common.local module is out of date LP: 1254046
    - [11102ad] Allow using ipv6 address with omiting zero LP: 1240790
    - [65986c9] NVP connection fails because port is a string LP: 1255519
    - [2d2646a] Neither vpnaas.filters nor debug.filters are referenced in
      setup.cfg LP: 1257523
    - [c93d699] OVS agent doesn't reclaim local VLAN LP: 1252284
    - [7d74411] IP lib fails when int name has '@' character and VLAN
      interfaces LP: 1245799
    - [496e6f0] Lower severity of log trace for DB integrity error
    - [74b0a9b] internal neutron server error on tempest VolumesActionsTest
      LP: 1239637
    - [39c392e] neutron unittest require minimum 4gb memory LP: 1234857
    - [03216e3] L3 agent can't handle updates that change floating ip id
      LP: 1209011
    - [3be1326] nvp_cluster_uuid is no longer used in nvp.ini LP: 1251086
    - [37f5678] binding_failed because of l2 agent assumed down LP: 1244255
    - [27ce7b5] traceback is suppressed when deploy.loadapp fails   LP: 1210236
    - [ce458e0] Linux IP wrapper cannot handle VLAN interfaces LP: 1240125
    - [b37987e] linuxbridge agent doesn't remove vxlan interface if no
      interface mappings LP: 1240742
    - [68b8af0] L2 pop mech driver sends notif. even no related port changes
      LP: 1241874
    - [f48a731] L2 pop sends updates for unrelated networks LP: 1240744
    - [e331eb3] fix nvp version validation for distributed router creation
      LP: 1243862
    - [4b3162e] error while creating l2 gateway services in nvp LP: 1244259
    - [4e94cb3] Nicira plugin: 500 when removing a router port desynchronized
      from the backend LP: 1240720

